Skip to main content
GET
/
vq
/
earnings
/
{symbol}
/
history
Get historical earnings results
curl --request GET \
  --url https://api.vectrade.io/v1/vq/earnings/{symbol}/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "symbol": "<string>",
      "date": "2023-12-25",
      "fiscalQuarter": "<string>",
      "epsActual": 123,
      "epsEstimate": 123,
      "epsSurprise": 123,
      "epsSurprisePct": 123,
      "revenueActual": 123,
      "revenueEstimate": 123,
      "revenueSurprisePct": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Query Parameters

limit
integer
default:8

Response

Historical earnings data

data
object[]